unit Esconde_CursorU;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    function MouseShowCursor(const Show: boolean): boolean;    
end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

function Tform1.MouseShowCursor(const Show: boolean): boolean;
var
  Temp: Integer;
begin
  Temp:=ShowCursor(LongBool(True));
  if Show then
    begin
      Result:=Temp>=0;
      while Temp<0 do
        begin
          Result:=ShowCursor(LongBool(True))>=0;
          Inc(Temp);
        end;
    end
  else
    begin
      Result:=Temp<0;
      while Temp>=0 do
        begin
          Result:=ShowCursor(LongBool(False))<0;
          Dec(Temp);
        end;
    end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  MouseShowCursor(False);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  MouseShowCursor(True);
end;

end.
